ユーザー
ユーザーの投稿を取得
GET /v1/users/{screen_name}/tweets reads 2 クレジット
アカウントの最近の投稿。新しい順。
クエリパラメータ
| クエリパラメータ | 型 | 意味 |
|---|---|---|
replies | bool = false | 返信を含める |
count | int 1–100 = 40 | 要求するページサイズ。X はヒントとして扱います |
cursor | string | 前のページの next_cursor から |
レスポンス
アカウント、その投稿、次ページ用のカーソル (終端では null)。 フィールドごとの説明: Tweet (読み取り).
ステータス: 200, 404, 429, 502
リクエスト
curl https://api.xsignalfeed.com/v1/users/elonmusk/tweets?count=20&replies=true \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 404
{
"user": {
"id": "44196397",
"screen_name": "elonmusk"
},
"tweets": [
{
"id": 2097879002992070835,
"created_ms": 1789012345678,
"user_id": 44196397,
"user": "elonmusk",
"name": "Elon Musk",
"text": "…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2097879002992070835",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [],
"media_items": [],
"urls": [],
"views": 1204331,
"counts": {
"reply": 812,
"rt": 1930,
"like": 14022,
"quote": 210,
"bookmark": 388
}
}
],
"next_cursor": "DAAHCgABHSMQD72__-oL"
}